org.apache.hadoop.security.protocolPB

## Class RefreshAuthorizationPolicyProtocolServerSideTranslatorPB

- java.lang.Object
- - org.apache.hadoop.security.protocolPB.RefreshAuthorizationPolicyProtocolServerSideTranslatorPB

- All Implemented Interfaces:
    RefreshAuthorizationPolicyProtocolProtos.RefreshAuthorizationPolicyProtocolService.BlockingInterface, org.apache.hadoop.security.protocolPB.RefreshAuthorizationPolicyProtocolPB

      public class RefreshAuthorizationPolicyProtocolServerSideTranslatorPB
      extends Object
      implements org.apache.hadoop.security.protocolPB.RefreshAuthorizationPolicyProtocolPB

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RefreshAuthorizationPolicyProtocolServerSideTranslatorPB(org.apache.hadoop.security.authorize.RefreshAuthorizationPolicyProtocol impl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RefreshAuthorizationPolicyProtocolProtos.RefreshServiceAclResponseProto` | `refreshServiceAcl(com.google.protobuf.RpcController controller, RefreshAuthorizationPolicyProtocolProtos.RefreshServiceAclRequestProto request)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RefreshAuthorizationPolicyProtocolServerSideTranslatorPB

          public RefreshAuthorizationPolicyProtocolServerSideTranslatorPB(org.apache.hadoop.security.authorize.RefreshAuthorizationPolicyProtocol impl)

  - ### Method Detail

    - #### refreshServiceAcl

          public RefreshAuthorizationPolicyProtocolProtos.RefreshServiceAclResponseProto refreshServiceAcl(com.google.protobuf.RpcController controller,
                                                                                                           RefreshAuthorizationPolicyProtocolProtos.RefreshServiceAclRequestProto request)
                                                                                                    throws com.google.protobuf.ServiceException

      Specified by:
        `refreshServiceAcl` in interface `RefreshAuthorizationPolicyProtocolProtos.RefreshAuthorizationPolicyProtocolService.BlockingInterface`
      Throws:
        `com.google.protobuf.ServiceException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.